.sidebar-enter-active,
.sidebar-leave-active {
  transition: transform 0.3s ease;
}

.sidebar-enter,
.sidebar-leave-to {
  transform: translateX(100%);
}

.page-enter-active,
.page-leave-active,
.layout-enter-active,
.layout-leave-active {
  transition: opacity 0.1s ease;
}

.page-enter,
.page-leave-to,
.layout-enter,
.layout-leave-active {
  opacity: 0;
}

@each $place,
  $transform
    in (
      up: translateY(15px),
      down: translateY(-15px),
      left: translateX(15px),
      right: translateY(-15px)
    )
{
  .fade-#{$place}-enter-active,
  .fade-#{$place}-leave-active {
    transition: opacity 0.15s ease, transform 0.2s ease;
  }

  .fade-#{$place}-enter,
  .fade-#{$place}-leave-to {
    transform: $transform;
    opacity: 0;
  }
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.25s ease;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}

.slideFromBottom-enter,
.slideFromBottom-leave-to {
  transform: translate(0px, 15px);
}

.slideFromBottom-enter-to,
.slideFromBottom-leave {
  transform: translate(0px, 0px);
}

.slideFromBottom-enter-active,
.slideFromBottom-leave-active {
  transition: transform 0.3s ease;
}

.slideUp-enter,
.slideUp-leave-to {
  transform: translate(0, 100%);
}
.slideUp-enter-active,
.slideUp-leave-active {
  transition: transform 0.3s ease;
}

// toggle

.toggle-enter-active {
  transition: all 0.2s;
}

.toggle-leave-active {
  transition: all 0.2s;
}

.toggle-enter-to,
.toggle-leave {
  max-height: 100px;
  overflow: hidden;
}

.toggle-enter,
.toggle-leave-to {
  overflow: hidden;
  max-height: 0;
}

// effect slider swipe mobile

.page-slide-enter-active,
.page-slide-leave-active {
  transition-duration: 0.5s;
  transition-property: height, opacity, transform;
  transition-timing-function: cubic-bezier(0.55, 0, 0.1, 1);
  overflow: hidden;
}

.page-slide-enter {
  opacity: 0;
  transform: translate(2em, 0);
}

.page-slide-leave-active {
  opacity: 0;
  transform: translate(-2em, 0);
}
